import Vue from 'vue'
import './SntText.scss'
import BindsAttrs from '../../mixins/binds-attrs'

export default Vue.extend({
  name: 'SntText',
  mixins: [BindsAttrs],
  props: {
    label: {
      type: String,
      required: true
    }
  },
  methods: {
    genWrapper () {
      return this.$createElement('div', {
        staticClass: 'snt-text__content',
        key: 'progress'
      }, [this.label])
    }
  },
  render (h) {
    return h('div', {
      staticClass: 'snt-text',
      class: this.classes,
      on: this.listeners$
    }, [this.genWrapper(), this.$slots.default])
  }
})
